Generate a connection session
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({connection: {operations: []}, expiresIn: 123})
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>' \
--data '
{
"connection": {
"operations": []
},
"expiresIn": 123
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions"
payload := strings.NewReader("{\n \"connection\": {\n \"operations\": []\n },\n \"expiresIn\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-api-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connection' => [
'operations' => [
]
],
'expiresIn' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-api-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions"
payload = {
"connection": { "operations": [] },
"expiresIn": 123
}
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions")
.header("x-api-key", "<api-key>")
.header("x-api-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"connection\": {\n \"operations\": []\n },\n \"expiresIn\": 123\n}")
.asString();{
"connectorId": "<string>",
"ownerId": "<string>",
"sessionToken": "<string>",
"expiresAt": "<string>",
"object": "session"
}{
"message": ""
}Generate a connection session
POST
/
v1
/
connections
/
{connectorId}
/
{ownerId}
/
sessions
Generate a connection session
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({connection: {operations: []}, expiresIn: 123})
};
fetch('https://api.runmorph.dev/v1/connections/{connectorId}/{ownerId}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Path Parameters
Available options:
hubspot, pipedrive, salesforce, aircall, gong, attio, dialpad, calendly, xero, chargebee ⌘I